<?php

use Carbon\Carbon;
use EventPortal\Domain\ActionList\Models\Task;
use EventPortal\Domain\User\Models\User;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(Task::class, static function ($faker) {
    return [
        'action_list_id' => function () {
            return factory(\EventPortal\Domain\ActionList\Models\ActionList::class)->create()->id;
        },
        'completed_at' => null,
        'label' => $faker->word,
        'name' => $faker->slug,
    ];
});

$factory->state(Task::class, 'completed', static function (): array {
    return [
        'completed_at' => Carbon::now(),
        'user_id' => factory(User::class)->create(),
    ];
});
