<?php

namespace EventPortal\Domain\Agenda\Events;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Agenda\Models\Session;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\SerializesModels;

class SessionDeleted implements ShouldQueue
{
    use SerializesModels;

    public Session $session;

    public Event $event;

    public function __construct(Session $session)
    {
        $this->session = $session;
        $this->event = $session->agenda->event;
    }
}
