<?php

namespace EventPortal\Domain\Component;

use EventPortal\Domain\Util\Modal\ConfirmModal;
use EventPortal\Enums\InertiaMethod;

class ConfirmButton extends Button
{
    /**
     * @var \EventPortal\Domain\Util\Modal\ConfirmModal
     */
    public $modal;

    public function __construct(?string $label = null)
    {
        parent::__construct($label);

        $this->modal = ConfirmModal::make();
    }

    /**
     * @param mixed $content
     */
    public function content($content): self
    {
        $this->modal = $this->modal->content($content);

        return $this;
    }

    /**
     * @param string|array $parameters
     */
    public function route(string $route, $parameters = []): self
    {
        $this->modal = $this->modal->actions(
            Button::make('Confirm')
                ->method(InertiaMethod::POST())
                ->route($route, $parameters)
                ->closeOnAction(),
        );

        return $this;
    }
}
