<?php

namespace EventPortal\Domain\EventSpeaker\Actions;

use EventPortal\Contracts\Event;
use EventPortal\Domain\EventSpeaker\Events\EventSpeakersAssociatedToEvent;

class AssociateToEvent
{
    public function execute(Event $event, array $speakers): void
    {
        $currentSpeakers = $event->fresh()->speakers;

        $speakers = collect($speakers)
            ->reject(static function ($speakerId) use ($currentSpeakers) {
                return $currentSpeakers->contains('id', $speakerId);
            })
            ->toArray();

        $event->speakers()->attach($speakers);

        event(new EventSpeakersAssociatedToEvent($event));
    }
}
