<?php

namespace EventPortal\Http\Controllers\Admin\EventVenue;

use EventPortal\Contracts\Event;
use EventPortal\Domain\EventVenue\Actions\AssociateToEvent;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class AssociateToEventController extends Controller
{
    public function __construct()
    {
        $this->middleware('check-permission:event-venue.add');
    }

    public function __invoke(Request $request, Event $event, AssociateToEvent $action): RedirectResponse
    {
        $action->execute($event, $request->all());

        return redirect()->route('admin.event.venue.index', $event);
    }
}
