<?php

namespace EventPortal\Http\Controllers\Delegate\Account;

use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Util\Notification\Facades\Notification;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class ChangePasswordController extends Controller
{
    public function __invoke(Request $request): RedirectResponse
    {
        Form::make('delegate.account.password.edit')
            ->model($request->user())
            ->validate($request->all())
            ->handle($request->all());

        Notification::make('delegate.account.password.updated')
            ->to($request->user())
            ->send();

        toast()->success(trans('delegate.password.updated'));

        return redirect()->route('account.index')->exceptInput();
    }
}
