<?php

namespace EventPortal\Http\Middleware\Admin;

use Closure;
use Illuminate\Http\Request;

class NonVirtualOnly
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->event->is_virtual) {
            toast()->error('Cannot perform this action when the event is virtual.');

            return redirect()->route('admin.event.show', ['event' => $request->event->id]);
        }

        return $next($request);
    }
}
