<?php

namespace EventPortal\Providers;

use EventPortal\Domain\Agenda\Events\AgendaCreated;
use EventPortal\Domain\Agenda\Events\AgendaDeleted;
use EventPortal\Domain\Agenda\Events\SessionCreated;
use EventPortal\Domain\Agenda\Events\SessionDeleted;
use EventPortal\Domain\Agenda\Events\SessionUpdated;
use EventPortal\Domain\Event\Events\EventCreated;
use EventPortal\Domain\Event\Events\EventDeleted;
use EventPortal\Domain\Event\Events\EventUpdated;
use EventPortal\Domain\EventDelegate\Events\EventDelegatesAssociatedToEvent;
use EventPortal\Domain\EventDelegate\Events\EventDelegatesDisassociatedFromEvent;
use EventPortal\Domain\EventVenue\Events\EventVenuesAssociatedToEvent;
use EventPortal\Domain\EventVenue\Events\EventVenuesDisassociatedFromEvent;
use Illuminate\Support\ServiceProvider;

class EventServiceProvider extends ServiceProvider
{
    protected $listen = [
        EventCreated::class => [],
        EventUpdated::class => [],
        EventDeleted::class => [],
        AgendaCreated::class => [],
        AgendaDeleted::class => [],
        SessionCreated::class => [],
        SessionUpdated::class => [],
        SessionDeleted::class => [],
        EventVenuesAssociatedToEvent::class => [],
        EventVenuesDisassociatedFromEvent::class => [],
        EventDelegatesAssociatedToEvent::class => [],
        EventDelegatesDisassociatedFromEvent::class => [],
    ];
}
