<?php

namespace EventPortal\Seeds;

use EventPortal\Domain\Team\Models\Team;
use Illuminate\Database\Seeder;

class TeamSeeder extends Seeder
{
    public function run(): void
    {
        $teams = collect(config('teams'));

        $teams->each(function (string $teamName): void {
            Team::updateOrCreate([
                'name' => $teamName,
            ]);
        });

        Team::all()->each(function (Team $team) use ($teams): void {
            if ($teams->contains($team->name)) {
                return;
            }

            $team->delete();
        });
    }
}
