<?php

namespace EventPortal\Tests\Feature\Admin\Venue;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class CannotAccessVenueIfVirtualTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test **/
    public function cannot_access_venues_if_virtual(): void
    {
        $event = factory(Event::class)->state('virtual')->create();

        $response = $this
            ->actingAsSuperAdmin()
            ->get(route('admin.event.venue.index', ['event' => $event->id]));

        $response->assertRedirect(route('admin.event.show', ['event' => $event->id]));
    }

    /** @test **/
    public function can_access_venues_if_not_virtual(): void
    {
        $event = factory(Event::class)->create();

        $this
            ->actingAsSuperAdmin()
            ->get(route('admin.event.venue.index', ['event' => $event->id]))
            ->assertOk();
    }
}
